Package: org.codehaus.groovy.binding

## [Java] Class EventTriggerBinding

- org.codehaus.groovy.binding.EventTriggerBinding

- All Implemented Interfaces and Traits:
    TriggerBinding

      public class EventTriggerBinding

  Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EventTriggerBinding (Object triggerBean, String eventName)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `FullBinding` | `createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)`
    `` | `String` | `getEventName()`
    `` | `Object` | `getTriggerBean()`
    `` | `void` | `setEventName(String eventName)`
    `` | `void` | `setTriggerBean(Object triggerBean)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public EventTriggerBinding(Object triggerBean, String eventName)

  - ### Method Detail

    - #### public FullBinding createBinding(SourceBinding sourceBinding, TargetBinding targetBinding)

    - #### public String getEventName()

    - #### public Object getTriggerBean()

    - #### public void setEventName(String eventName)

    - #### public void setTriggerBean(Object triggerBean)